org.apache.poi.hssf.usermodel

## Class HSSFCreationHelper

- java.lang.Object
- - org.apache.poi.hssf.usermodel.HSSFCreationHelper

- All Implemented Interfaces:
    CreationHelper

      public class HSSFCreationHelper
      extends java.lang.Object
      implements CreationHelper

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AreaReference` | `createAreaReference(CellReference topLeft, CellReference bottomRight)` Creates an area ref from a pair of Cell References..
    `AreaReference` | `createAreaReference(java.lang.String reference)` Creates an AreaReference.
    `HSSFClientAnchor` | `createClientAnchor()` Creates a HSSFClientAnchor.
    `HSSFDataFormat` | `createDataFormat()` Creates a new DataFormat instance
    `HSSFExtendedColor` | `createExtendedColor()` Creates a XSSF-style Color object, used for extended sheet formattings and conditional formattings
    `HSSFFormulaEvaluator` | `createFormulaEvaluator()` Creates a HSSFFormulaEvaluator, the object that evaluates formula cells.
    `HSSFHyperlink` | `createHyperlink(HyperlinkType type)` Creates a new Hyperlink, of the given type
    `HSSFRichTextString` | `createRichTextString(java.lang.String text)` Creates a new RichTextString instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createRichTextString

          public HSSFRichTextString createRichTextString(java.lang.String text)

      Description copied from interface: `CreationHelper`
      Creates a new RichTextString instance
      Specified by:
        `createRichTextString` in interface `CreationHelper`
      Parameters:
        `text` - The text to initialise the RichTextString with

    - #### createDataFormat

          public HSSFDataFormat createDataFormat()

      Description copied from interface: `CreationHelper`
      Creates a new DataFormat instance
      Specified by:
        `createDataFormat` in interface `CreationHelper`

    - #### createHyperlink

          public HSSFHyperlink createHyperlink(HyperlinkType type)

      Description copied from interface: `CreationHelper`
      Creates a new Hyperlink, of the given type
      Specified by:
        `createHyperlink` in interface `CreationHelper`

    - #### createExtendedColor

          public HSSFExtendedColor createExtendedColor()

      Description copied from interface: `CreationHelper`
      Creates a XSSF-style Color object, used for extended sheet formattings and conditional formattings
      Specified by:
        `createExtendedColor` in interface `CreationHelper`

    - #### createFormulaEvaluator

          public HSSFFormulaEvaluator createFormulaEvaluator()

      Creates a HSSFFormulaEvaluator, the object that evaluates formula cells.
      Specified by:
        `createFormulaEvaluator` in interface `CreationHelper`
      Returns:
        a HSSFFormulaEvaluator instance

    - #### createClientAnchor

          public HSSFClientAnchor createClientAnchor()

      Creates a HSSFClientAnchor. Use this object to position drawing object in a sheet
      Specified by:
        `createClientAnchor` in interface `CreationHelper`
      Returns:
        a HSSFClientAnchor instance
      See Also:
        `Drawing`

    - #### createAreaReference

          public AreaReference createAreaReference(java.lang.String reference)

      Creates an AreaReference.
      Specified by:
        `createAreaReference` in interface `CreationHelper`
      Parameters:
        `reference` - cell reference
      Returns:
        an AreaReference instance

    - #### createAreaReference

          public AreaReference createAreaReference(CellReference topLeft,
                                                   CellReference bottomRight)

      Creates an area ref from a pair of Cell References..
      Specified by:
        `createAreaReference` in interface `CreationHelper`
      Parameters:
        `topLeft` - cell reference
        `bottomRight` - cell reference
      Returns:
        an AreaReference instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.